// trieda pre pracu s OpenGL decals
// mark - znacka
struct mMark
{
 GLuint life;
 GLfloat A[3];
 GLfloat B[3];
 GLfloat C[3];
 GLfloat D[3];
 GLfloat alpha;

 mMark *next;
};

class CBulletDecals {
public:
 CBulletDecals();          // konstruktor
 virtual ~CBulletDecals(); // destruktor

 GLuint init(char *myfile); // inicializacia

 GLuint addMark(GLfloat px,GLfloat py,GLfloat pz,
                GLfloat ax,GLfloat ay,GLfloat az,
                GLfloat bx,GLfloat by,GLfloat bz); // pridanie znacky
 GLuint renderMarks(GLvoid);                       // vykreslenie vsetkych znaciek
private:
 mMark *Mfirst,*Mlast,*Mcurr; // prva,posledna,aktualna znacka

 GLuint mark_texture_id; // textura zncky

 GLuint delMarks(GLvoid); // zmazanie vsetkych znaciek

 GLfloat Msize;
};
